// Create a set of row objects to seed the table view.
var data = [
  'Banana',
  'Broccoli',
  'Cucumber',
  'Egg',
  'Lemon',
  'Orange',
  'Peach',
  'Strawberries'
].map(function(item) {
  return Ti.UI.createTableViewRow({
    title: item,
    leftImage: '/images/' + item.toLowerCase() + '.png'
  });
});

// Verify dictionary objects in data array get
// converted to a table view row object.
data.push({title: 'Pepper', leftImage: '/images/yellow_pepper.png'});
setTimeout(function() {
  // Verify the dictionary item is now a row.
  // This should allow us to update the title.
  var row = data[data.length - 1];
  row.title = 'Pear';
  row.leftImage = '/images/pear.png';
}, 3000);

var tableView = Ti.UI.createTableView();
tableView.setData(data);

// Test click events.
tableView.addEventListener('click', function(e) {
  // Change title for a couple seconds then restore it.
  var title = e.row.title;
  e.row.title = 'Yum!';
  setTimeout(function() {
    e.row.title = title;
  }, 2000);
});

var win = Ti.UI.createWindow();
win.add(tableView);
win.open();
